package base

import (
	"github.com/google/uuid"

	"git.fsdpf.net/go/db"
)

func Uuid(driver string) db.Expression {
	if driver == "sqlite" {
		return db.Raw("'" + uuid.NewString() + "'")
	}
	return db.Raw("uuid()")
}
